common.h File Reference

Common definitions for LDNS. More...

Go to the source code of this file.

## Macros

#define | LDNS_BUILD_CONFIG_HAVE_SSL 1
| a Net::DNS like library for C
#define | LDNS_BUILD_CONFIG_HAVE_INTTYPES_H 1
#define | LDNS_BUILD_CONFIG_HAVE_ATTR_FORMAT 1
#define | LDNS_BUILD_CONFIG_HAVE_ATTR_UNUSED 1
#define | LDNS_BUILD_CONFIG_HAVE_SOCKLEN_T 1
#define | LDNS_BUILD_CONFIG_USE_DANE 1
#define | LDNS_BUILD_CONFIG_HAVE_B32_PTON 0
#define | LDNS_BUILD_CONFIG_HAVE_B32_NTOP 0
#define | LDNS_BUILD_CONFIG_USE_DSA 1
#define | LDNS_BUILD_CONFIG_USE_ED25519 1
#define | LDNS_BUILD_CONFIG_USE_ED448 1
#define | _Bool signed char
#define | bool _Bool
#define | false 0
#define | true 1
#define | __bool_true_false_are_defined 1
#define | ATTR_FORMAT(archetype, string_index, first_to_check)
#define | ATTR_UNUSED(x)

## Detailed Description

Common definitions for LDNS.

Definition in file common.h.

## Macro Definition Documentation

## LDNS_BUILD_CONFIG_HAVE_SSL

#define LDNS_BUILD_CONFIG_HAVE_SSL 1

a Net::DNS like library for C

(c) NLnet Labs, 2004-2006

See the file LICENSE for the license

Definition at line 22 of file common.h.

## LDNS_BUILD_CONFIG_HAVE_INTTYPES_H

#define LDNS_BUILD_CONFIG_HAVE_INTTYPES_H 1

Definition at line 23 of file common.h.

## LDNS_BUILD_CONFIG_HAVE_ATTR_FORMAT

#define LDNS_BUILD_CONFIG_HAVE_ATTR_FORMAT 1

Definition at line 24 of file common.h.

## LDNS_BUILD_CONFIG_HAVE_ATTR_UNUSED

#define LDNS_BUILD_CONFIG_HAVE_ATTR_UNUSED 1

Definition at line 25 of file common.h.

## LDNS_BUILD_CONFIG_HAVE_SOCKLEN_T

#define LDNS_BUILD_CONFIG_HAVE_SOCKLEN_T 1

Definition at line 26 of file common.h.

## LDNS_BUILD_CONFIG_USE_DANE

#define LDNS_BUILD_CONFIG_USE_DANE 1

Definition at line 27 of file common.h.

## LDNS_BUILD_CONFIG_HAVE_B32_PTON

#define LDNS_BUILD_CONFIG_HAVE_B32_PTON 0

Definition at line 28 of file common.h.

## LDNS_BUILD_CONFIG_HAVE_B32_NTOP

#define LDNS_BUILD_CONFIG_HAVE_B32_NTOP 0

Definition at line 29 of file common.h.

## LDNS_BUILD_CONFIG_USE_DSA

#define LDNS_BUILD_CONFIG_USE_DSA 1

Definition at line 30 of file common.h.

## LDNS_BUILD_CONFIG_USE_ED25519

#define LDNS_BUILD_CONFIG_USE_ED25519 1

Definition at line 31 of file common.h.

## LDNS_BUILD_CONFIG_USE_ED448

#define LDNS_BUILD_CONFIG_USE_ED448 1

Definition at line 32 of file common.h.

## _Bool

#define _Bool signed char

Definition at line 51 of file common.h.

## bool

#define bool _Bool

Definition at line 54 of file common.h.

## false

#define false 0

Definition at line 55 of file common.h.

## true

#define true 1

Definition at line 56 of file common.h.

## __bool_true_false_are_defined

#define __bool_true_false_are_defined 1

Definition at line 57 of file common.h.

## ATTR_FORMAT

#define ATTR_FORMAT | ( |  | archetype,
|  |  | string_index,
|  |  | first_to_check )

Value:
__attribute__ ((format (archetype, string_index, first_to_check)))

Definition at line 63 of file common.h.

## ATTR_UNUSED

#define ATTR_UNUSED | ( |  | x | ) |

Value:
x __attribute__((unused))

Definition at line 72 of file common.h.